Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Separate Pricing Per Customer (SPPC) Version 4.2.1a


Recommended Posts

And I suspect that you are using admin/file_manager.php to edit those files?

 

Because line 17 is:

	  die('</td></tr></table></td></tr></table><br><br><font color="#ff0000"><b>Error!</b></font><br><br><b>Unable to determine the page link!<br><br>Function used:<br><br>tep_href_link(\'' . $page . '\', \'' . $parameters . '\', \'' . $connection . '\')</b>');

and you have (not in bb code tags though):

	  die('</td></tr></table></td></tr></table><br><br><font color="#ff0000"><b>Error!</b></font><br><br><b>Unable to determine the page link!<br><br>Function used:<br><br>tep_href_link('' . $page . '', '' . $parameters . '', '' . $connection . '')</b>');

(note that all the back slashes \ are gone).

Just download RC2a and upload that file instead of trying to repair that. Then it is repaired and you have the function.

 

If you did use file_manager: never ever do it again. More knowledgeable people than me even recommend to delete it from the server (or rename it to file_manager.txt if you don't want to remove it).

 

Always edit files with a text editor (there are many good ones, often free) after downloading it to your computer.

I was using file manager but will go and find BB code tags program ? - Many thanks I am now back to normal after downloading RC2a and uploading html_output.php to admin/includes/functions/

 

If I can return the favour to you somehow - let me know - I am very grateful!!

grace

Link to comment
Share on other sites

I was using file manager but will go and find BB code tags program ?

No, no a text editor that gives nicely colored text for PHP like JEdit (but if you search for text editor on this forums I'm sure scores of others will turn up.)

Link to comment
Share on other sites

Hi, I have installed separate_price_421a and its currently working right now. The only things that im concerned with is, when I create pruducts, is it as a default, always viewable by Retail? I know its working right now, coz I see different prices for different groups. But what if I want a certain product viewable only by a certain group and not by Retailers. This is why I asked, is every product created always viewable by retail? Please let me know of any mod that catches my issue, I would like also to have products that I wouldn't sell to retail.

Link to comment
Share on other sites

  • 4 weeks later...

Could someone please advise which version of easypopulate works well with 'separate_price_421a'.

I have unsuccessfully tried 'EP278withSPPC-Pricebreak' , 'Easy Populate 2.90' and 'EP_v2_76g_MS2'.

 

two of the installations threw me to the login page with no apparant change thereafter.

I also tried to generate the download file within the temp directory without any result.

 

all pointers/help greatly appreciated.

 

regards

anjum

Link to comment
Share on other sites

  • 1 month later...
It was under the heading Support:

IMPORTANT: If you have an older installation of osC and start adding files from this contribution be aware that some things have been changed. You might get an error about includes/classes/currencies.php missing the function calculate_price (this was added in RC1, see a download of RC2a, folder extras for the instructions on how to update) and the function tep_hide_session that has always been present and only used on the catalog side was also added to the admin side in catalog/admin/includes/functions/html_output.php (RC1 again).

In RC2 a new function was added to includes/classes/payment.php: checkout_initialization_method.

You might be missing that last function too....

 

Dear Sir,

 

I appologize for my poor english but I would like to ask if some one can provide me with all scripts (rc2a and sppc) already installed. The reason is that I could not update to sppc.

 

Regards

 

Elefante

Link to comment
Share on other sites

I would like to ask if some one can provide me with all scripts (rc2a and sppc) already installed. The reason is that I could not update to sppc.

The download here contains pre-modded files (rc2a plus SPPC), diff files (if you can do something with that, otherwise don't bother) and installation instructions.

The only thing that does not come with it is a person who installs it for you ... :)

Link to comment
Share on other sites

The download here contains pre-modded files (rc2a plus SPPC), diff files (if you can do something with that, otherwise don't bother) and installation instructions.

The only thing that does not come with it is a person who installs it for you ... :)

 

Dear Sir,

 

Thanks for your quickly reply and I apologize for my poor English.

 

1. I know how to install the oscommerce (http://127.0.0.1/catalog/install).

2. I also upload the sppc files to rc2a I got some errors.

3. That's the reason why I am asking to make the two steps before just in one step. It means when you type http://127.0.0.1/catalog/install you make a complete instalation of rc2a plus sppc.

4. After your comment, I download the sppc from the link indicated by you. When I type http://127.0.0.1/catalog, I received the following message:

 

Warning: require(includes/application_top.php) [function.require]: failed to open stream: No such file or directory in C:\Program Files\wamp\www\111\index.php on line 14

 

Fatal error: require() [function.require]: Failed opening required 'includes/application_top.php' (include_path='.;C:\php5\pear') in C:\Program Files\wamp\www\111\index.php on line 14

 

5. Thanks if you could understand my question. Otherwise I will try to explain on a diferent way.

 

Regards

 

Elefante

Link to comment
Share on other sites

1. I know how to install the oscommerce (http://127.0.0.1/catalog/install).

2. I also upload the sppc files to rc2a I got some errors.

3. That's the reason why I am asking to make the two steps before just in one step. It means when you type http://127.0.0.1/catalog/install you make a complete instalation of rc2a plus sppc.

The download only contains files that are different from the standard ones. So after you installed a "regular" osCommerce you run the sql file to change the database and then replace files in your regular osC folder with the pre-modded files in the package. I think there is a list of files also in the package. You could use that as a checklist.

Link to comment
Share on other sites

The download only contains files that are different from the standard ones. So after you installed a "regular" osCommerce you run the sql file to change the database and then replace files in your regular osC folder with the pre-modded files in the package. I think there is a list of files also in the package. You could use that as a checklist.

 

Thanks again for your reply. I understood clearly what you recommend but I tried several times and I got some error's. It looks like my regular oscommerce version is not compatible with your mod. Thus, if possible, I would like to have the complete package (regular+sppc), to avoid this situation. It is also a sugestion because the things can be easy for you but there is a lot of people who can be thankful for you if you provide the "complete" package.

 

Regard's

 

Elefante

Maputo - Mozambique

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...